Welcome
 Top Next

Welcome to DarkWave Studio, an exciting new virtual studio for the creation of electronic music. DarkWave is designed to be a modern, flexible audio production environment, optimized for the latest in computer technology, such as multi core processors to allow parallel execution of instruments and effects to limit your projects only by your imagination. DarkWave allows for complex arrangement and interconnection of machines within it's Studio by allowing machines to be wired together in ad-hoc fashion.


Introducing DarkWave
 Previous Top Next

DarkWave Studio has four main components. The Studio, the Pattern Editor, the Sequencer, and the HD Recorder.

Studio: This is where all the instruments and effects (machines) are created, connected and modified. From within the studio you can add machines available to DarkWave such as DarkPlug machines included with DarkWave and VST instruments and effects developed by third parties. To add a machine you simply right click in an empty space of the studio, select a machine from the pop up menu, and it will be added to your project and immediately accessible from the studio and in the pattern editor. All machines ultimately must connect to Master for them to process, which is the output machine automatically created for all new projects. To make connections hold down shift and drag from one connector to the other.

Pattern Editor: The pattern editor is where patterns are created to send control messages (like MIDI messages) to control instruments. Either notes or voices are displayed on the left hand column of a pattern.

Sequencer: The sequencer is where patterns are queued, much like notes played in the pattern editor. Simply select a machine's sequence track by clicking on the title of the track displayed on the left hand side of the sequence grid, and insert patterns to be played in whichever order you desire by selecting them from the pattern list and clicking within the sequence grid. To remove patterns from the sequence select the Remove Pattern button on the toolbar. To add patterns again reselect the Add Pattern button.

HD Recorder: The HD Recorder is a multi track capable hard disk recorder for streaming audio data from HD Recorder Track machines in the studio to WAV files. To use the HD Recorder simply add HD Recorder Track machines in the studio, connect their input from synthesizers, effects, or a mixer, and connect the output to the Master machine. Then, go to the HD Recorder tab and choose the file to stream data to. To record a whole song, you can go to the sequencer and start auto-recording and playing the project's sequence by clicking the Record button on the toolbar.


Quick Tutorial
 Previous Top Next

To start using DarkWave Studio add a machine in the Studio by right clicking in an empty region and selecting a machine from the pop up menu, choose the instrument DGenR8.

A new machine will now appear in the Studio. Hold down shift and drag from one connector to the other to connect the machine's output to the input of Master.

Click on the icon in the middle of the machine to show it's user interface.

You can adjust the sound of the machine by adjusting the controls. In the case of DGenR8, hold the left mouse down over a knob and move the mouse vertically to adjust a control.

Go to the Pattern Editor by clicking on it's tab and create a pattern for the machine by selecting it from the pattern menu and clicking the Add Pattern button on the toolbar. Add some notes to the pattern by left-clicking where you want a note to appear. You can also delete a note by right-clicking it. To move notes or stretch them move the mouse over them until the mouse cursor changes and drag with the left mouse button. Select the Loop button and start the pattern playing by pressing the Play button.

Stop the pattern playing by clicking the Stop button. Go to the Sequence Editor tab and select the track added for the machine. Choose patterns from the pattern menu and click within the grid to place patterns in sequence. Press Play to play the entire sequence.


Options
 Previous Top Next
To change DarkWave Studio's options go to the View...Options menu item. Currently there are two option forms: Audio Output and VST Paths.

Audio Output: This is where you choose how DarkWave Studio sends the output generated in the Studio to your computer's sound hardware. You can currently choose to use either one of two drivers for output: Wave Out and ASIO.

Wave Out: This is Microsoft Windows' default method for sending audio to play on sound hardware. It should be compatible with any sound card. There are three choices: Device, Format, and Latency. Device is which sound card to use. Format lets you choose Sample Rate, 8/16 bit audio, and Mono or Stereo. You should probably stick with a format with 16bit sample format and stereo. A sample rate of 44.1kHz is CD-quality. You may want to use a higher sample rate for higher quality on fast computers. The sample rate you choose is used internally by DarkWave for synthesis and processing of audio so on a slow computer you may like to use a lower sample rate. Latency is how many milliseconds of audio data to buffer before sending it to the sound card. Lower latency is always a good thing when playing a MIDI keyboard so that you hear the notes played very soon after hitting a key. You should set the latency as low as you can without clipping occurring. Clipping sounds like a damaged CD skipping. If you get clipping increase the latency until it stops.

ASIO: This is Steinberg's way of sending audio signals to sound cards and can achieve very low latency. It is mainly used by professional sound cards. Unlike Wave Out, it supports more than two channels (Stereo). You can choose the ASIO device to use (if one is present) and choose the output format.

All changes to Audio Output options occur as soon as you click Apply or close the Options dialog.

VST Paths: In this options dialog you can specify additional directories to search for VST plugins when DarkWave starts by clicking the Add toolbar button and browsing for a directory. That directory and all sub-directories will be searched at program start for VST DLLs.


Copy And Paste
 Previous Top
The Pattern Editor supports Copy And Paste of notes. To use this feature you need to switch from Edit Mode which is indicated by the Pencil icon on the toolbar above the pattern editor's view of the notes. Click the Box (Select Mode) toolbar button and then left-click and drag to select a rectangular area of notes. You can adjust the borders of the selection area afterwards by hovering the mouse on any four edges of the area you have selected and left-clicking and dragging. The mouse pointer will change when you have placed the mouse on an edge to indicate that you can move it. To copy notes, after you have selected a range of notes with the Select Tool, right-click and a menu with options including Copy And Paste will appear. To get out of select mode click the Pencil (Edit Mode) toolbar button.